import React from "react";

export const Shovel = ({
  color = "currentColor",
  width = "18px",
  height = "18px",
}) => {
  return (
    <svg
    width={width}
    height={height}
      id="Icons"
      viewBox="0 0 74 74"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path d="m20 72a19.57 19.57 0 0 1 -5.65-.83l-1.64-.49a14 14 0 0 1 -9.4-9.4l-.49-1.64a19.63 19.63 0 0 1 4.93-19.53l6.85-6.84a3.87 3.87 0 0 1 5.36 0l4.88 4.87 3-3a1 1 0 0 1 1.41 0l9.62 9.62a1 1 0 0 1 .29.7 1 1 0 0 1 -.29.71l-3 3 4.86 4.83a3.77 3.77 0 0 1 0 5.36l-6.84 6.85a19.62 19.62 0 0 1 -13.89 5.79zm-2.72-37.85a1.79 1.79 0 0 0 -1.27.53l-6.84 6.84a17.63 17.63 0 0 0 -4.43 17.54l.5 1.64a11.94 11.94 0 0 0 8.06 8.06l1.64.5a17.63 17.63 0 0 0 17.54-4.43l6.84-6.83a1.79 1.79 0 0 0 0-2.54l-5.58-5.58a1 1 0 0 1 -.29-.71 1 1 0 0 1 .29-.7l3-3-8.19-8.19-3 3a1 1 0 0 1 -1.41 0l-5.58-5.58a1.79 1.79 0 0 0 -1.28-.55z" />
      <path d="m36 44.2a1 1 0 0 1 -.71-.3l-5.19-5.15a1 1 0 0 1 -.3-.71 1 1 0 0 1 .3-.71l22.9-22.94a1 1 0 0 1 1.42 0l5.16 5.16a1 1 0 0 1 .29.71 1.05 1.05 0 0 1 -.29.71l-22.91 22.93a1 1 0 0 1 -.67.3zm-3.78-6.2 3.78 3.78 21.49-21.52-3.75-3.74z" />
      <path d="m64.12 23.78a7.45 7.45 0 0 1 -5.31-2.2l-6.39-6.39a7.5 7.5 0 0 1 0-10.61l1.84-1.85a2.5 2.5 0 0 1 3.53 0l13.48 13.48a2.49 2.49 0 0 1 0 3.52l-1.85 1.85a7.48 7.48 0 0 1 -5.3 2.2zm-8.44-19.64-1.85 1.86a5.52 5.52 0 0 0 0 7.79l6.39 6.39a5.52 5.52 0 0 0 7.79 0l1.85-1.85a.5.5 0 0 0 0-.7l-13.48-13.49a.5.5 0 0 0 -.7 0z" />
    </svg>
  );
};
